from datetime import datetime, timedelta, timezone
from pydantic import BaseModel
from typing import List, Dict
from bson import ObjectId

class Message(BaseModel):
    user: str
    bot: str

class Chat(BaseModel):
    chat_id: str = str(ObjectId())
    messages: List[Message] = []
    modified: datetime
